## groovy.swing.factory
Class ModelFactory

author:
  Danno Ferrin

version:
  $Revision: 8768 $

since:
  Groovy 1.1

Constructor Summary
`ModelFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

Constructor Detail

### ModelFactory

    ModelFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)